petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGetType

Gets the vector type name (as a string) from the Vec.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetType(Vec vec, VecType *type)

Not Collective Many br

### Input Parameter

vec -The vector Many br

### Output Parameter

type -The vector type name Many br

Many br

### Keywords

vector, get, type, name

### See Also

VecSetType(), VecCreate()

Level:intermediate
Location:src/vec/vec/interface/vecreg.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1f.F.html